{
    "extends": [
        "airbnb",
        "plugin:import/errors",
        "plugin:import/warnings",
        "plugin:import/typescript"
    ],
    "plugins": [
        "svelte3"
        // "@typescript-eslint"
    ],
    "overrides": [
        {
            "files": ["**/*.svelte"],
            "processor": "svelte3/svelte3",
            "rules": {
                "import/first": "off",
                "import/prefer-default-export": "off",
                "import/no-mutable-exports": "off",
                "import/no-extraneous-dependencies": "off",
                "import/extensions": "off"
            }
        }
    ],
    // "parser": "@typescript-eslint/parser",
    "parserOptions": {
        "ecmaVersion": 2019,
        "sourceType": "module"
    },
    "env": {
        "es6": true,
        "browser": true,
        "node": true
    },
    "rules": {
        "indent": [
            "error",
            4
        ],
        "camelcase": 0,
        // "no-unused-vars": "off",
        "object-curly-newline": 0,
        "max-len": "off",
        "no-useless-escape": "off",
        "max-classes-per-file": 1,
        "prefer-default-export": 0,

        "import/no-named-as-default-member": "off",
        "import/no-named-as-default": "off",
        "import/default": "off",
        "import/namespace": "off",
        "import/prefer-default-export": "off",
        "import/no-extraneous-dependencies": "off",
        "import/extensions": "off"
    },
    "settings": {
        "import/extensions": [
            ".js",
            ".ts",
            ".svelte"
        ]
    }
}
